#include <bits/stdc++.h>
using namespace std;

int main()
{
    int n, k=0, a=0;
    cin>>n;
    if(n<=26)
    {
        cout<<0<<endl;
        return 0;
    }
    int niz[26]={0};
    char c, pom='A';
    while(k<=n)
    {
        c=getchar();
        k++;
        if(c==pom)
        {
            niz[int(c)-65]++;
        }
        else if(c==pom+1)
        {
            pom++;
            niz[int(c)-65]++;
        }
    }
    int x=1;
    for(int i=0; i<26; i++)
    {
        x=(x*niz[i])%1000000007;
    }
    cout<<x<<endl;
}